
TYPO3.Flow - Bug # 3823

Status: Resolved Priority: Must have
Author: Bastian Waidelich Category: Monitor
Created: 2009-07-02 Assigned To: Robert Lemke
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: FileMonitor does not fix "windows" paths
Description

Several FileMonitorTests fail on Windows due to backslashes in pathes.
Attached patch fixes the issue for me.

Related issues:
duplicates TYPO3.Flow - Bug # 3815: F3\FLOW3\Monitor\FileMonitorTest fails on... Closed 2009-07-01

Associated revisions
Revision b98dc2e8 - 2009-07-27 12:22 - Robert Lemke

[+BUGFIX] FLOW3 (Monitor): Applied a patch by Bastian which fixes some file monitor tests when run on Windows. Fixes #3823.

Revision 5310cc0c - 2009-07-27 18:47 - Bastian Waidelich

[+FEATURE] FLOW3 (Cache): Throw exception if FileBackend tries to create a file with a path that exceeds the maximum allowed path length. Fixes
#3560
[+FEATURE] FLOW3 (Environment): Create warning log entry if temporary base path is longer than (PHP_MAXPATHLEN - 230). Relates to #3560
[BUGFIX] FLOW3 (Monitor): Fixed one more file monitor test that failed on Windows. Relates to #3823

History
#1 - 2009-07-06 14:52 - Robert Lemke
- Priority changed from Should have to Must have
- Target version set to 283

#2 - 2009-07-13 10:32 - Robert Lemke
- Status changed from Needs Feedback to Closed

#3 - 2009-07-13 10:34 - Robert Lemke
- Status changed from Closed to Needs Feedback
- Target version changed from 283 to 1.0 alpha 3

#4 - 2009-07-13 11:00 - Robert Lemke
- Assigned To set to Robert Lemke

#5 - 2009-07-27 13:00 - Robert Lemke
- Status changed from Needs Feedback to Resolved
- % Done changed from 0 to 100
Applied in changeset r2889.

Files
FileMonitor_Paths.patch 6.6 kB 2009-07-02 Bastian Waidelich
